curl https://api.portkey.ai/v1/threads/thread_abc123/runs/run_abc123/steps \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"from portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
run_steps = client.beta.threads.runs.steps.list(
thread_id="thread_abc123",
run_id="run_abc123"
)
print(run_steps)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const runStep = await client.beta.threads.runs.steps.list(
"thread_abc123",
"run_abc123"
);
console.log(runStep);
}
main();
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.run.step",
"created_at": 123,
"assistant_id": "<string>",
"thread_id": "<string>",
"run_id": "<string>",
"step_details": {
"type": "message_creation",
"message_creation": {
"message_id": "<string>"
}
},
"last_error": {
"message": "<string>"
},
"expired_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}
],
"first_id": "step_abc123",
"last_id": "step_abc456",
"has_more": false
}List Run Steps
curl https://api.portkey.ai/v1/threads/thread_abc123/runs/run_abc123/steps \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2"from portkey_ai import Portkey
client = Portkey(
api_key = "PORTKEY_API_KEY",
virtual_key = "PROVIDER_VIRTUAL_KEY"
)
run_steps = client.beta.threads.runs.steps.list(
thread_id="thread_abc123",
run_id="run_abc123"
)
print(run_steps)import Portkey from 'portkey-ai';
const client = new Portkey({
apiKey: 'PORTKEY_API_KEY',
virtualKey: 'PROVIDER_VIRTUAL_KEY'
});
async function main() {
const runStep = await client.beta.threads.runs.steps.list(
"thread_abc123",
"run_abc123"
);
console.log(runStep);
}
main();
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "thread.run.step",
"created_at": 123,
"assistant_id": "<string>",
"thread_id": "<string>",
"run_id": "<string>",
"step_details": {
"type": "message_creation",
"message_creation": {
"message_id": "<string>"
}
},
"last_error": {
"message": "<string>"
},
"expired_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
}
}
],
"first_id": "step_abc123",
"last_id": "step_abc456",
"has_more": false
}Authorizations
Path Parameters
The ID of the thread the run and run steps belong to.
The ID of the run the run steps belong to.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.
asc, desc A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
Was this page helpful?

